websocket-sharp : WebSocketSharp.Net Namespace

# CookieException Class

Documentation for this section has not yet been entered.

## Syntax

public class CookieException : FormatException

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from FormatException.

## Public Constructors

| CookieException () | Documentation for this section has not yet been entered.

## Protected Constructors

| CookieException (System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext) | Documentation for this section has not yet been entered.

## Public Methods

override

GetObjectData (System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)

> Documentation for this section has not yet been entered.

## Explicitly Implemented Interface Members

| System.Runtime.Serialization.ISerializable.GetObjectData | Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### CookieException Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public CookieException ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### CookieException Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> protected CookieException (System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)

> #### Parameters

> > info
> >   Documentation for this section has not yet been entered.
> > context
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### GetObjectData Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override void GetObjectData (System.Runtime.Serialization.SerializationInfo serializationInfo, System.Runtime.Serialization.StreamingContext streamingContext)

> #### Parameters

> > serializationInfo
> >   Documentation for this section has not yet been entered.
> > streamingContext
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### System.Runtime.Serialization.ISerializable.GetObjectData Method

> Documentation for this section has not yet been entered.

> ## Syntax

> void System.Runtime.Serialization.ISerializable.GetObjectData (System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)

> #### Parameters

> > info
> >   Documentation for this section has not yet been entered.
> > context
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581